<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/src/Transport/ExchangeHandler.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_b7bc15c7de8e43583c698b7747a94971.html">src</a></li><li class="navelem"><a class="el" href="dir_7cc4805d13c57da402acac8e1a9ae866.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ExchangeHandler.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_h_t_t_p2_transport_8h_source.html">ACL/Transport/HTTP2Transport.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_exchange_handler_8h_source.html">ACL/Transport/ExchangeHandler.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExchangeHandler.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_exchange_handler_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_exchange_handler_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_exchange_handler_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_exchange_handler_8cpp">
<area shape="rect" id="node3" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1281,179,1457,217"/>
<area shape="rect" id="node21" href="_h_t_t_p2_transport_8h.html" title="ACL/Transport/HTTP2Transport.h" alt="" coords="2596,105,2817,131"/>
<area shape="rect" id="node40" href="_exchange_handler_8h.html" title="ACL/Transport/ExchangeHandler.h" alt="" coords="1474,272,1701,297"/>
<area shape="rect" id="node9" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="355,439,569,477"/>
<area shape="rect" id="node14" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1224,352,1400,391"/>
<area shape="rect" id="node15" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="852,265,1028,304"/>
<area shape="rect" id="node19" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1202,265,1399,304"/>
<area shape="rect" id="node20" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1826,265,2002,304"/>
<area shape="rect" id="node16" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="752,352,928,391"/>
<area shape="rect" id="node18" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="660,439,836,477"/>
<area shape="rect" id="node26" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="3367,265,3568,304"/>
<area shape="rect" id="node30" href="_h_t_t_p2_connection_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ConnectionInterface.h" alt="" coords="951,352,1149,391"/>
<area shape="rect" id="node36" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="1668,439,1859,477"/>
<area shape="rect" id="node38" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="2326,179,2553,217"/>
<area shape="rect" id="node39" href="_ping_handler_8h.html" title="ACL/Transport/PingHandler.h" alt="" coords="1062,185,1257,211"/>
<area shape="rect" id="node42" href="_post_connect_factory_interface_8h.html" title="ACL/Transport/PostConnect\lFactoryInterface.h" alt="" coords="2678,179,2865,217"/>
<area shape="rect" id="node44" href="_post_connect_observer_interface_8h.html" title="ACL/Transport/PostConnect\lObserverInterface.h" alt="" coords="2747,352,2935,391"/>
<area shape="rect" id="node45" href="_post_connect_send_message_interface_8h.html" title="ACL/Transport/PostConnect\lSendMessageInterface.h" alt="" coords="2959,352,3147,391"/>
<area shape="rect" id="node47" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="2442,359,2672,384"/>
<area shape="rect" id="node49" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="2127,265,2350,304"/>
<area shape="rect" id="node28" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="3272,352,3480,391"/>
<area shape="rect" id="node29" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="3272,439,3474,477"/>
<area shape="rect" id="node31" href="_h_t_t_p2_request_config_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestConfig.h" alt="" coords="1265,439,1441,477"/>
<area shape="rect" id="node32" href="_h_t_t_p2_request_type_8h.html" title="HTTP2RequestType.h" alt="" coords="1086,532,1239,557"/>
<area shape="rect" id="node35" href="_h_t_t_p2_request_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestInterface.h" alt="" coords="910,439,1090,477"/>
<area shape="rect" id="node33" href="_h_t_t_p2_request_source_interface_8h.html" title="HTTP2RequestSourceInterface.h" alt="" coords="454,532,673,557"/>
<area shape="rect" id="node34" href="_h_t_t_p2_response_sink_interface_8h.html" title="HTTP2ResponseSinkInterface.h" alt="" coords="748,532,961,557"/>
<area shape="rect" id="node37" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="1500,525,1691,564"/>
<area shape="rect" id="node41" href="_exchange_handler_context_interface_8h.html" title="ACL/Transport/ExchangeHandler\lContextInterface.h" alt="" coords="1474,352,1691,391"/>
<area shape="rect" id="node43" href="_post_connect_interface_8h.html" title="ACL/Transport/PostConnect\lInterface.h" alt="" coords="2678,265,2865,304"/>
<area shape="rect" id="node46" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="2804,445,3054,471"/>
<area shape="rect" id="node48" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2592,439,2780,477"/>
<area shape="rect" id="node50" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="84,439,332,477"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_exchange_handler_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a01400ba9ddf0fda7d49c091b10f37cf9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a01400ba9ddf0fda7d49c091b10f37cf9">alexaClientSDK::acl::TAG</a> (&quot;ExchangeHandler&quot;)</td></tr>
<tr class="memdesc:a01400ba9ddf0fda7d49c091b10f37cf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a01400ba9ddf0fda7d49c091b10f37cf9">More...</a><br /></td></tr>
<tr class="separator:a01400ba9ddf0fda7d49c091b10f37cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2c6e85f2be667912d0b3d7b337646646"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a2c6e85f2be667912d0b3d7b337646646">alexaClientSDK::acl::AUTHORIZATION_HEADER</a> = &quot;Authorization: Bearer &quot;</td></tr>
<tr class="memdesc:a2c6e85f2be667912d0b3d7b337646646"><td class="mdescLeft">&#160;</td><td class="mdescRight">HTTP Header key for the bearer token.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a2c6e85f2be667912d0b3d7b337646646">More...</a><br /></td></tr>
<tr class="separator:a2c6e85f2be667912d0b3d7b337646646"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
